Subject: [bug#51565] PATCH: Update Yggdrasil to new protocol (important breaking changes)

From: Ludovic Courtès <[email-masked]>
Date: Thu, 02 Dec 2021 10:15:56 +0100

Hi,

raingloom <[email-masked]> skribis:

>> > -(define-public go-github-com-cheggaaa-pb
>> > +(define-public go-github-com-cheggaaa-pb-v3
>> >    (package
>> > -    (name "go-github-com-cheggaaa-pb")
>> > +    (name "go-github-com-cheggaaa-pb-v3")  
>> 
>> Why rename?  If we do need to rename, let’s add a ‘deprecated-package’
>> definition to allow users to notice and get a smooth upgrade.
>
> Without a rename guix import go gets confused and imports it again
> under that name.

Ah that makes sense; would be worth adding a comment above.

> It didn't seem like anything was using it so I went with a rename, but
> I guess someone's channel might be depending on it.  (although I doubt
> it) What would proper deprecation look like? Just inheriting from the
> new package, changing the name field, and marking it as deprecated?

Yes, you can grep for ‘deprecated-package’ in gnu/packages/*.scm.

Thanks,
Ludo’.